[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TUpdateMode

Update mode

## Declaration

Source position: db.pas line 61

`type TUpdateMode = (`
`upWhereAll,` |  | Use all old field values
`upWhereChanged,` |  | Use only old field values of modified fields
`upWhereKeyOnly` |  | Only use key fields in the where clause.
`);`

## Description

TUpdateMode determines how the WHERE clause of update queries for SQL databases should be constructed.

Documentation generated on: Feb 26 2014